package awd;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.BeforeEach;

public class AddressDemo
{
	AddressBook addresses;
	@BeforeEach
	void init() {
		addresses = new AddressBook();
	}
	
	@Test
	void add() {
		addresses.add(new AddressEntry("Daniel", "Hamm", "Zuhause", "+43 677", "90016@htltraun.at"));
		assertEquals(addresses.findByeMail("90016@htltraun.at").getFirstName(), "Daniel");
	}
	
	@Test
	void remove() {
		addresses.remove(new AddressEntry("Daniel", "Hamm", "Zuhause", "+43 677", "90016@htltraun.at"));
		assertEquals(addresses.findByeTelNr("+43 677"), null);
	}
	
	@Test
	void sort() {
		addresses.add(new AddressEntry("Daniel", "Hamm", "Zuhause", "+43 677", "90016@htltraun.at"));
		addresses.add(new AddressEntry("Alex", "Nachname", "Zuhause", "+43 123", "123@htltraun.at"));
		addresses.add(new AddressEntry("Michael", "Nachname", "Zuhause", "+43 234", "234@htltraun.at"));
		
		addresses.sort();
		
		assertEquals(((AddressEntry) addresses.getAllEntries()[0]).getFirstName(), "Alex");
		assertEquals(((AddressEntry) addresses.getAllEntries()[1]).getFirstName(), "Daniel");
		assertEquals(((AddressEntry) addresses.getAllEntries()[2]).getFirstName(), "Michael");
	}
}
