package kreisel;

import java.awt.Color;
import java.awt.Graphics;

public class Kreisel
{
	public double x = 0;
	public double y = 0;
	public double speed = 1;
	public double angle = 1;
	public int size = 1;
	
	public Kreisel(double startX, double startY, double speed, double angle, int size)
	{
		if (startX >= 0 && startY >= 0) {
			x = startX;
			y = startY;
		}
		
		this.speed = speed;
		this.angle = angle;
		this.size = size;
	}
	
	public void draw(Graphics g) {
		g.setColor(Color.black);
		g.drawOval((int) x, (int) y, size, size);
		g.setColor(Color.blue);
		g.fillOval((int) x, (int) y, size, size);
//		g.drawString("x", (int)x, (int)y);
	}
	
	public void move() {
		x += speed * Math.cos(Math.toRadians(angle));
		y += speed * Math.sin(Math.toRadians(angle));
		
		checkWallCollision();
	}
	
	public void checkWallCollision() {
		if (x <= 0) {
			xColl();
			x = 1;
		}
		else if (x >= 1500-size) {
			xColl();
			x = 1499-size;
		}
		if (y <= 0) {
			yColl();
			y = 1;
		}
		else if (y >= 800-size) {
			yColl();
			y = 799-size;
		}
	}
	
	public void xColl() {
		angle = 180 - angle;
	}
	
	public void yColl() {
		angle = 360 - angle;
	}
}
