package teil1;

import java.util.ArrayList;
import java.util.List;

public class Subject
{
	private List<Observer> observers = new ArrayList<>();
	int state;

	/**
	 * @return the state
	 */
	public int getState()
	{
		return state;
	}
	
	/**
	 * @param aState the state to set
	 */
	public void setState(int state)
	{
		this.state = state;
		notifyAllObservers();
	}

	public void add(Observer observer)
	{
		observers.add(observer);
	}

	public void remove(Observer observer)
	{
		observers.remove(observer);
	}

	private void notifyAllObservers()
	{
		for (Observer observer : observers)
		{
			observer.update();
		}

	}
}
